Macaulay2 » Documentation
Packages » Polyhedra :: polar
next | previous | forward | backward | up | index | toc

# polar -- computes the polar of a polyhedron

- Usage:
    `Pv = polar P`
- Inputs:
  - P, a convex polyhedron
- Outputs:
  - Pv, a convex polyhedron

## Description

The polar polyhedron of P in n-space is the polyhedron in the dual space given by {v in (QQ^n)^* | v*p >= -1 for all p in P}.

    i1 : P = hypercube 3

    o1 = P

    o1 : Polyhedron

    i2 : Q = polar P

    o2 = Q

    o2 : Polyhedron

    i3 : Q == crossPolytope 3

    o3 = true

## Ways to use polar:

- `polar(Polyhedron)`

## For the programmer

The object polar is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Polyhedra/documentation/old_documentation.m2:2762:0.